<template>
  <div>
    <el-tabs type="border-card" v-model="activeName" style="height: 100%">
      <el-tab-pane label="桥梁经常检查" name="1" style="height: 100%">
        <bridge-often v-if="activeName == '1'"></bridge-often>
      </el-tab-pane>
      <el-tab-pane label="桥梁定期检查" name="2" style="height: 100%">
        <bridge-regular v-if="activeName == '2'"></bridge-regular>
      </el-tab-pane>
      <el-tab-pane label="桥梁经常检查病害记录" name="3" style="height: 100%">
        <desease-often v-if="activeName == '3'"></desease-often>
      </el-tab-pane>
      <el-tab-pane label="桥梁定期检查病害记录" name="4" style="height: 100%">
        <desease-regular v-if="activeName == '4'"></desease-regular>
      </el-tab-pane>
      <el-tab-pane label="养护记录" name="5" style="height: 100%">
        <main-records v-if="activeName == '5'"></main-records>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import bridgeOften from './bridgeOften'
import bridgeRegular from './bridgeRegular'
import deseaseOften from './deseaseOften'
import deseaseRegular from './deseaseRegular'
import mainRecords from '../mainRecords.vue'
export default {
  components: {
    bridgeOften,
    bridgeRegular,
    deseaseOften,
    deseaseRegular,
    mainRecords,
  },
  data() {
    return {
      activeName: '1',
    }
  },
}
</script>

<style lang="scss" scoped>
// /deep/.el-card__body {
//   height: 100% !important;
// }
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
  //  color: #606266;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
  // color: #211bce;
  font-weight: bold;
}
</style>
